Get customer by ID
View as MarkdownRetrieve the information of a single customer using the store and customer IDs.
Authorization
PAT commerce.customer:readAuthorizationBearer <token>
Personal Access Token (PAT). Include as Authorization: Bearer $GODADDY_PAT. Required scopes: commerce.customer:read, commerce.customer:create, commerce.customer:update.
In: header
Scope: commerce.customer:read
Path Parameters
customerId*string
The id of the specific customer
Format
uuidstoreId*string
An identifier for a store
Format
uuidResponse Body
application/json
*/*
*/*
*/*
application/json
*/*
*/*
curl -X GET "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "customer": { "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac", "firstName": "Fredrick", "lastName": "Smith", "organization": "GoDaddy", "jobTitle": "string", "addresses": [], "emails": [], "instantMessages": [], "socialProfiles": [], "phones": [], "urls": [], "updatedAt": "stringstringstringst", "listKeys": [ "bbf6d5ee-f24e-4a77-a6a1-e3fd97d1db49" ], "joined": false, "orderCount": 0, "profileImageUrl": "string", "paymentCount": 0, "notes": "string", "createdAt": "stringstringstringst", "source": "string", "externalIdentifiers": [ { "externalId": "string", "source": "INVOICE" } ] }, "links": [ { "href": "http://example.com", "rel": "string", "title": "string", "targetMediaType": "string", "targetSchema": null, "method": "string", "submissionMediaType": "application/json", "submissionSchema": null } ]}Last updated on
How is this guide?